"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _editorTypes = require("./editorTypes");

var sql = _editorTypes.editorTypes.sql,
    json = _editorTypes.editorTypes.json,
    html = _editorTypes.editorTypes.html;
describe('editorTypes',
/*#__PURE__*/
(0, _asyncToGenerator2.default)(
/*#__PURE__*/
_regenerator.default.mark(function _callee4() {
  return _regenerator.default.wrap(function _callee4$(_context4) {
    while (1) {
      switch (_context4.prev = _context4.next) {
        case 0:
          describe('json',
          /*#__PURE__*/
          (0, _asyncToGenerator2.default)(
          /*#__PURE__*/
          _regenerator.default.mark(function _callee() {
            return _regenerator.default.wrap(function _callee$(_context) {
              while (1) {
                switch (_context.prev = _context.next) {
                  case 0:
                    it('#format formats JSON', function () {
                      expect(json.format('{"valid": "json"}')).toEqual("{\n  \"valid\": \"json\"\n}");
                    });
                    it('#parse parses JSON string into an object', function () {
                      expect(json.parse('{"valid": "json"}')).toEqual({
                        valid: 'json'
                      });
                    });
                    it('#stringify returns a string representation of the JSON object', function () {
                      expect(json.stringify({
                        valid: 'json'
                      })).toEqual("{\n  \"valid\": \"json\"\n}");
                    });

                  case 3:
                  case "end":
                    return _context.stop();
                }
              }
            }, _callee, this);
          })));
          describe('sql',
          /*#__PURE__*/
          (0, _asyncToGenerator2.default)(
          /*#__PURE__*/
          _regenerator.default.mark(function _callee2() {
            return _regenerator.default.wrap(function _callee2$(_context2) {
              while (1) {
                switch (_context2.prev = _context2.next) {
                  case 0:
                    it('#format formats SQL', function () {
                      expect(sql.format('SELECT * FROM TestTable WHERE 1=1')).toEqual("SELECT\n  *\nFROM\n  TestTable\nWHERE\n  1 = 1");
                    });
                    it('#parse keeps SQL the same', function () {
                      var sqlString = 'SELECT * FROM TestTable WHERE 1=1';
                      expect(sql.parse(sqlString)).toEqual(sqlString);
                    });
                    it('#stringify keeps SQL the same', function () {
                      var sqlString = 'SELECT * FROM TestTable WHERE 1=1';
                      expect(sql.stringify(sqlString)).toEqual(sqlString);
                    });

                  case 3:
                  case "end":
                    return _context2.stop();
                }
              }
            }, _callee2, this);
          })));
          describe('html',
          /*#__PURE__*/
          (0, _asyncToGenerator2.default)(
          /*#__PURE__*/
          _regenerator.default.mark(function _callee3() {
            return _regenerator.default.wrap(function _callee3$(_context3) {
              while (1) {
                switch (_context3.prev = _context3.next) {
                  case 0:
                    it('#format formats HTML', function () {
                      expect(html.format('<html  attribute = "value"> <div> hi </div>  </html>')).toEqual("<html attribute=\"value\">\n  <div> hi </div>\n\n</html>");
                    });
                    it('#parse keeps HTML the same', function () {
                      var htmlString = '<html>a</html>';
                      expect(html.parse(htmlString)).toEqual(htmlString);
                    });
                    it('#stringify keeps HTML the same', function () {
                      var htmlString = '<html>a</html>';
                      expect(html.stringify(htmlString)).toEqual(htmlString);
                    });

                  case 3:
                  case "end":
                    return _context3.stop();
                }
              }
            }, _callee3, this);
          })));

        case 3:
        case "end":
          return _context4.stop();
      }
    }
  }, _callee4, this);
})));